For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Candidate object
          • GET/candidates
          • POST/candidates
          • GET/candidates/{id}
          • PATCH/candidates/{id}
          • POST/candidates/ignore/{model_id}
          • GET/candidates/meta/patch/{id}
          • GET/candidates/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsCandidates

/candidates

GET
/ats/v1/candidates
GET
/api/ats/v1/candidates
$curl -G https://api.merge.dev/api/ats/v1/candidates \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=applications,attachments
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "521b18c2-4d01-4297-b451-19858d07c133",
7 "remote_id": "21198",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "first_name": "Gil",
11 "last_name": "Feig",
12 "company": "Columbia Dining App.",
13 "title": "Software Engineer",
14 "remote_created_at": "2021-10-15T00:00:00Z",
15 "remote_updated_at": "2021-10-16T00:00:00Z",
16 "last_interaction_at": "2021-10-17T00:00:00Z",
17 "is_private": true,
18 "can_email": true,
19 "locations": [
20 "San Francisco",
21 "New York",
22 "Miami"
23 ],
24 "phone_numbers": [
25 {
26 "value": "+1234567890",
27 "phone_number_type": "MOBILE"
28 }
29 ],
30 "email_addresses": [
31 {
32 "value": "hello@merge.dev",
33 "email_address_type": "PERSONAL"
34 }
35 ],
36 "urls": [
37 {
38 "value": "http://alturl.com/p749b",
39 "url_type": "BLOG"
40 }
41 ],
42 "tags": [
43 "High-Priority"
44 ],
45 "applications": [
46 "29eb9867-ce2a-403f-b8ce-f2844b89f078",
47 "b4d08e5c-de00-4d64-a29f-66addac9af99",
48 "4ff877d2-fb3e-4a5b-a7a5-168ddf2ffa56"
49 ],
50 "attachments": [
51 "bea08964-32b4-4a20-8bb4-2612ba09de1d"
52 ],
53 "remote_was_deleted": true,
54 "field_mappings": {
55 "organization_defined_targets": {
56 "custom_key": "custom_value"
57 },
58 "linked_account_defined_targets": {
59 "custom_key": "custom_value"
60 }
61 },
62 "remote_data": [
63 {
64 "path": "/candidates",
65 "data": null
66 }
67 ]
68 }
69 ]
70}

Returns a list of Candidate objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The Candidate object

Next

/candidates

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
email_addressesstringOptional

If provided, will only return candidates with these email addresses; multiple addresses can be separated by commas.

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
first_namestringOptional
If provided, will only return candidates with this first name.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

last_namestringOptional
If provided, will only return candidates with this last name.
modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_idstringOptional
The API provider's ID for the given object.
tagsstringOptional

If provided, will only return candidates with these tags; multiple tags can be separated by commas.

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.